My Project: dgHugeVector Class Reference

My Project

Public Member Functions | List of all members
dgHugeVector Class Reference

`#include <dgGoogol.h>`

Inheritance diagram for dgHugeVector:

## Public Member Functions

| dgHugeVector ()
| dgHugeVector (const dgBigVector &a)
| dgHugeVector (const dgTemplateVector< dgGoogol > &a)
| dgHugeVector (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
dgGoogol | EvaluePlane (const dgHugeVector &point) const
Public Member Functions inherited from dgTemplateVector< dgGoogol >
DG_INLINE | dgTemplateVector ()
DG_INLINE | dgTemplateVector (const dgGoogol *const ptr)
DG_INLINE | dgTemplateVector (const dgTemplateVector< dgGoogol > &copy)
DG_INLINE | dgTemplateVector (dgGoogol x, dgGoogol y, dgGoogol z, dgGoogol w)
DG_INLINE dgGoogol & | operator[] (dgInt32 i)
DG_INLINE const dgGoogol & | operator[] (dgInt32 i) const
DG_INLINE dgTemplateVector< dgGoogol > | Scale3 (dgGoogol scale) const
DG_INLINE dgTemplateVector< dgGoogol > | Scale4 (dgGoogol scale) const
DG_INLINE dgTemplateVector< dgGoogol > | operator+ (const dgTemplateVector< dgGoogol > &B) const
DG_INLINE dgTemplateVector< dgGoogol > & | operator+= (const dgTemplateVector< dgGoogol > &A)
DG_INLINE dgTemplateVector< dgGoogol > | operator- (const dgTemplateVector< dgGoogol > &A) const
DG_INLINE dgTemplateVector< dgGoogol > & | operator-= (const dgTemplateVector< dgGoogol > &A)
DG_INLINE dgGoogol | operator% (const dgTemplateVector< dgGoogol > &A) const
DG_INLINE dgTemplateVector< dgGoogol > | operator* (const dgTemplateVector< dgGoogol > &B) const
DG_INLINE dgTemplateVector< dgGoogol > | AddHorizontal () const
DG_INLINE dgTemplateVector< dgGoogol > | DotProduct4 (const dgTemplateVector &A) const
DG_INLINE dgTemplateVector< dgGoogol > | CrossProduct4 (const dgTemplateVector &A, const dgTemplateVector &B) const
DG_INLINE dgTemplateVector< dgGoogol > | CompProduct3 (const dgTemplateVector< dgGoogol > &A) const
DG_INLINE dgTemplateVector< dgGoogol > | CompProduct4 (const dgTemplateVector< dgGoogol > &A) const

## Additional Inherited Members

Public Attributes inherited from dgTemplateVector< dgGoogol >
dgGoogol | m_x
dgGoogol | m_y
dgGoogol | m_z
dgGoogol | m_w

## Constructor & Destructor Documentation

## § dgHugeVector() [1/4]

dgHugeVector::dgHugeVector | ( |  | ) |

inline

## § dgHugeVector() [2/4]

dgHugeVector::dgHugeVector | ( | const dgBigVector & | a | ) |

inline

## § dgHugeVector() [3/4]

dgHugeVector::dgHugeVector | ( | const dgTemplateVector< dgGoogol > & | a | ) |

inline

## § dgHugeVector() [4/4]

dgHugeVector::dgHugeVector | ( | dgFloat64 | x,
|  | dgFloat64 | y,
|  | dgFloat64 | z,
|  | dgFloat64 | w
| ) |  |

inline

## Member Function Documentation

## § EvaluePlane()

dgGoogol dgHugeVector::EvaluePlane | ( | const dgHugeVector & | point | ) | const

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgGoogol.h